<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__btm__ble__multi__adv__functions" kind="group">
    <compoundname>btm_ble_multi_adv_functions</compoundname>
    <title>MultiAdv</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__btm__ble__multi__adv__functions_1gad7c886fa1ae0a32a7a80f42d5de7bac6" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_bt_dev_status_t</ref></type>
        <definition>wiced_bt_dev_status_t wiced_start_multi_advertisements</definition>
        <argsstring>(uint8_t advertising_enable, uint8_t adv_instance)</argsstring>
        <name>wiced_start_multi_advertisements</name>
        <param>
          <type>uint8_t</type>
          <declname>advertising_enable</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>adv_instance</declname>
        </param>
        <briefdescription>
<para>Start/Stop Mulit advertisements. </para>
        </briefdescription>
        <detaileddescription>
<para>wiced_start_multi_advertisements gives option to start multiple adverstisment instances Each of the instances can set different <ref kindref="member" refid="group__btm__ble__multi__adv__functions_1gafcf665325c65c9b084e2ab788f8bbea4">wiced_set_multi_advertisement_params</ref> and <ref kindref="member" refid="group__btm__ble__multi__adv__functions_1ga4d724a63eeff2bb4575e25c6484b1025">wiced_set_multi_advertisement_data</ref>. Hence this feature allows the device to advertise to multiple masters at the same time like a multiple peripheral device, with different advertising data, Random private addresses, tx_power etc.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">advertising_enable</parametername>
</parameternamelist>
<parameterdescription>
<para>: MULTI_ADVERT_START - Advertising is enabled MULTI_ADVERT_STOP - Advertising is disabled</para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">adv_instance</parametername>
</parameternamelist>
<parameterdescription>
<para>: 1 to MULTI_ADV_MAX_NUM_INSTANCES</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_bt_dev_status_t <verbatim>             TRUE if command succeeded
</verbatim> </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="806" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__multi__adv__functions_1ga4d724a63eeff2bb4575e25c6484b1025" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_bt_dev_status_t</ref></type>
        <definition>wiced_bt_dev_status_t wiced_set_multi_advertisement_data</definition>
        <argsstring>(uint8_t *p_data, uint8_t data_len, uint8_t adv_instance)</argsstring>
        <name>wiced_set_multi_advertisement_data</name>
        <param>
          <type>uint8_t *</type>
          <declname>p_data</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>data_len</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>adv_instance</declname>
        </param>
        <briefdescription>
<para>Set multi advertisement data for each adv_instance. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_data</parametername>
</parameternamelist>
<parameterdescription>
<para>: Advertising Data ( Max length 31 bytess) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">data_len</parametername>
</parameternamelist>
<parameterdescription>
<para>: Advertising Data len ( Max 31 bytes ) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">adv_instance</parametername>
</parameternamelist>
<parameterdescription>
<para>: 1 to MULTI_ADV_MAX_NUM_INSTANCES</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_bt_dev_status_t <linebreak />
 WICED_BT_SUCCESS if command succeeded </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="819" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__multi__adv__functions_1gafcf665325c65c9b084e2ab788f8bbea4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_bt_dev_status_t</ref></type>
        <definition>wiced_bt_dev_status_t wiced_set_multi_advertisement_params</definition>
        <argsstring>(uint8_t adv_instance, wiced_bt_ble_multi_adv_params_t *params)</argsstring>
        <name>wiced_set_multi_advertisement_params</name>
        <param>
          <type>uint8_t</type>
          <declname>adv_instance</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__ble__multi__adv__params__t">wiced_bt_ble_multi_adv_params_t</ref> *</type>
          <declname>params</declname>
        </param>
        <briefdescription>
<para>Set multi advertisement params for each adv_instance. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">adv_instance</parametername>
</parameternamelist>
<parameterdescription>
<para>: 1 to MULTI_ADV_MAX_NUM_INSTANCES </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">params</parametername>
</parameternamelist>
<parameterdescription>
<para>: Advertising params refer <ref kindref="compound" refid="structwiced__bt__ble__multi__adv__params__t">wiced_bt_ble_multi_adv_params_t</ref></para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_bt_dev_status_t <linebreak />
 WICED_BT_SUCCESS if command succeeded </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="832" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__multi__adv__functions_1gaabb3afd4913a5d23eabbcece8ffc30e9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_bt_dev_status_t</ref></type>
        <definition>wiced_bt_dev_status_t wiced_set_multi_advertisement_scan_response_data</definition>
        <argsstring>(uint8_t *p_data, uint8_t data_len, uint8_t adv_instance)</argsstring>
        <name>wiced_set_multi_advertisement_scan_response_data</name>
        <param>
          <type>uint8_t *</type>
          <declname>p_data</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>data_len</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>adv_instance</declname>
        </param>
        <briefdescription>
<para>Set multi advertisement data for scan response. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">p_data</parametername>
</parameternamelist>
<parameterdescription>
<para>: Advertising Data ( Max length 31 bytess) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">data_len</parametername>
</parameternamelist>
<parameterdescription>
<para>: Advertising Data len ( Max 31 bytes ) </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">adv_instance</parametername>
</parameternamelist>
<parameterdescription>
<para>: 1 to MULTI_ADV_MAX_NUM_INSTANCES</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_bt_dev_status_t <linebreak />
 WICED_BT_SUCCESS if command succeeded </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="845" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__multi__adv__functions_1gaf875d7862f1685f247d15f3bec49023a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_bt_dev_status_t</ref></type>
        <definition>wiced_bt_dev_status_t wiced_set_multi_advertisements_random_address</definition>
        <argsstring>(wiced_bt_device_address_t randomAddr, uint8_t adv_instance)</argsstring>
        <name>wiced_set_multi_advertisements_random_address</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>randomAddr</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>adv_instance</declname>
        </param>
        <briefdescription>
<para>Set multi advertisement random address for an instance. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">randomAddr</parametername>
</parameternamelist>
<parameterdescription>
<para>: own random address </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">adv_instance</parametername>
</parameternamelist>
<parameterdescription>
<para>: 1 to MULTI_ADV_MAX_NUM_INSTANCES</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_bt_dev_status_t <linebreak />
 WICED_BT_SUCCESS if command succeeded </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="857" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__multi__adv__functions_1ga92b7ecffcb97b452d2ec815b15492235" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_notify_multi_advertisement_packet_transmissions</definition>
        <argsstring>(uint8_t adv_instance, void(*clientCallback)(uint32_t), uint32_t advanceNoticeInMicroSeconds)</argsstring>
        <name>wiced_bt_notify_multi_advertisement_packet_transmissions</name>
        <param>
          <type>uint8_t</type>
          <declname>adv_instance</declname>
        </param>
        <param>
          <type>void(*)(uint32_t)</type>
          <declname>clientCallback</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>advanceNoticeInMicroSeconds</declname>
        </param>
        <briefdescription>
<para>Allows the application to register a callback that will be invoked just before an ADV packet is about to be sent out and immediately after. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">adv_instance</parametername>
</parameternamelist>
<parameterdescription>
<para>: 1 to MULTI_ADV_MAX_NUM_INSTANCES </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">clientCallback</parametername>
</parameternamelist>
<parameterdescription>
<para>: Pointer to a function that will be invoked in application thread context with WICED_BT_ADV_NOTIFICATION_READY for before ADV and WICED_BT_ADV_NOTIFICATION_DONE after ADV packet is complete. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">advanceNoticeInMicroSeconds</parametername>
</parameternamelist>
<parameterdescription>
<para>: Number of microseconds before the ADV the notification is to be sent. Will be rounded down to the nearest 1.25mS. Has to be an even multiple of 625uS.</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_bool_t <linebreak />
 WICED_TRUE if command succeeded </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="872" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This section describes Multiple Advertisement API, using this interface application can enable more than one advertisement train. </para>
    </briefdescription>
    <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Controller should have support for this feature. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>
    </detaileddescription>
  </compounddef>
</doxygen>